Microsoft issues first patch for Windows Server 2003

IDG News Service |  Security

Two serious security flaws that could allow an attacker to take over a user's system exist in all current versions of Microsoft Corp.'s Internet Explorer (IE) Web browser, including the one that ships with Windows Server 2003, Microsoft said Wednesday.

Affected are IE versions 5.01, 5.5, 6.0 and 6.0 for Windows Server 2003, Microsoft said in Security Bulletin MS03-020. The bulletin includes a software patch for all browser versions that the Redmond, Washington-based software vendor urges users to install immediately. (See: http://www.microsoft.com/technet/security/bulletin/MS03-020.asp)

With the announcement, Microsoft released its first security patch for Windows Server 2003, two months after the launch of the server product touted by Microsoft as one of its most secure products ever.

Microsoft was quick to stress that it had not failed to deliver on its security promise, but that in fact the flaws demonstrate that its "secure by design, secure by default and secure by deployment" approach is paying off.

"Windows Server 2003 in its default configuration is not vulnerable to this attack. Because of that, the severity rating on the predecessor platforms is critical, but the severity rating on Windows Server 2003 is moderate," said Jeff Jones, senior director of Trustworthy Computing at Microsoft.

IE on Windows Server 2003 is locked down as users are not expected to use a server computer for general Web browsing. The software has a "reduced attack surface area," Jones said. However, because the underlying vulnerability still exists, Microsoft does want people to apply the patch, he said.

Although Jones sees this as "a proofpoint for Trustworthy Computing," Forrester Research Inc. Senior Analyst Laura Koetzle warns that it is too early to draw any conclusion on the level of security in Windows Server 2003.

"It is good that in the default configuration Windows Server 2003 is not vulnerable to this. However, I don't think we should jump the gun saying that Windows Server 2003 is clearly more secure than previous versions of Windows. All signs point to yes, but it is a bit premature to make that decision," Koetzle said.

The first vulnerability exists because IE can automatically start downloading and running software if it is flooded by requests for software downloads, allowing an attacker to run arbitrary code on a user's computer, Microsoft said.

The second vulnerability exists because of a buffer overrun flaw in the way IE reads "object tags" in Web pages, Microsoft said. Object tags are used to embed objects such as Office documents or media files in a Web page. Buffer overrun flaws typically allow an attacker to gain control of a victim's computer.

Join us:
Facebook

Twitter

Pinterest

Tumblr

LinkedIn

Google+

Answers - Powered by ITworld

Ask a Question